Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenParserImplementation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CustomParser, ExpressionLabelParser, ExternalParser, PredefinedParser

All Known Implementing Classes:
  CustomParserImpl, ExpressionLabelParserImpl, ExternalParserImpl, GenParserImplementationImpl, PredefinedParserImpl

    public interface GenParserImplementation

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Parser Implementation'.

The following features are supported:

- `Holder`
- `Uses`

See Also:
  `GMFGenPackage.getGenParserImplementation()`
** Generated **
Model:
  abstract="true"

Method Summary
`GenParsers` `getHolder()` Returns the value of the 'Holder' container reference.
`org.eclipse.emf.common.util.EList<LabelModelFacet>` `getUses()` Returns the value of the 'Uses' reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getHolder

    GenParsers getHolder()

  Returns the value of the 'Holder' container reference. It is bidirectional and its opposite is '`Implementations`'.

  If the meaning of the 'Holder' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Holder' container reference.
  See Also:
    `GMFGenPackage.getGenParserImplementation_Holder()`, `GenParsers.getImplementations()`
  ** Generated **
  Model:
    opposite="implementations" resolveProxies="false" required="true" transient="false" changeable="false"

### getUses

    org.eclipse.emf.common.util.EList<LabelModelFacet> getUses()

  Returns the value of the 'Uses' reference list. The list contents are of type `LabelModelFacet`. It is bidirectional and its opposite is '`Parser`'.

  If the meaning of the 'Uses' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Uses' reference list.
  See Also:
    `GMFGenPackage.getGenParserImplementation_Uses()`, `LabelModelFacet.getParser()`
  ** Generated **
  Model:
    opposite="parser" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.